curl --request PUT \
--url https://api.boostgpt.co/v1/bot/workspace/file \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"project_id": "<string>",
"bot_id": "<string>",
"workspace_uuid": "<string>",
"file_uuid": "<string>",
"content": "<string>"
}
'{
"file": {
"uuid": "<string>",
"file_path": "<string>",
"language": "<string>",
"content": "<string>",
"version": 123,
"size_bytes": 123,
"last_edited_by": "agent",
"created_at": "<string>",
"updated_at": "<string>"
}
}Update the content of a file in a workspace
curl --request PUT \
--url https://api.boostgpt.co/v1/bot/workspace/file \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"project_id": "<string>",
"bot_id": "<string>",
"workspace_uuid": "<string>",
"file_uuid": "<string>",
"content": "<string>"
}
'{
"file": {
"uuid": "<string>",
"file_path": "<string>",
"language": "<string>",
"content": "<string>",
"version": 123,
"size_bytes": 123,
"last_edited_by": "agent",
"created_at": "<string>",
"updated_at": "<string>"
}
}Enter your API key
File updated
Show child attributes
Was this page helpful?